
QGIS Application - Bug report #153

Last column of Postgis table is missing

2006-06-20 04:27 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10212

Description

When opening the attribut table of a postgis layer the last column of the postgis table is empty. 

After identifying the same object with the identify tool, the column does not appear.

History

#1 - 2006-06-24 02:22 AM - Gavin Macaulay -

Works for me. Can you provide some details on the table definition and an example of some of the data in it?

#2 - 2006-06-26 12:15 AM - Redmine Admin

The file example.zip contains two tables. The table good_col.sql creates a table public.test and was created by QGIS. At this table everything works fine.

The other table bad_col.sql will create a table public.geotope. This table was created by shp2pgsql and later some columns were added. At this table the

content of the last column is missing.

#3 - 2006-06-27 02:56 AM - Gavin Macaulay -

Got it - I can now reproduce the problem. Will try to fix it now...

#4 - 2006-06-27 03:32 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in SVN commit:c8e57255 (SVN r5553).

Actual problem was with tables where the geometry column was not the last column in the table

#5 - 2006-06-27 05:55 AM - Redmine Admin

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

For me it doesn't work. There are much more empty columns than before. All columns right of the geometry column are not shown.
#6 - 2006-06-27 01:56 PM - Gavin Macaulay -

Oh dear. I'll have another go at fixing it :)

#7 - 2006-06-28 01:57 AM - Gavin Macaulay -

- Status changed from Feedback to Closed

- Resolution set to fixed

Should be fixed in SVN commit:814974bf (SVN r5554). I'll be bold and close the bug again, confident that the bug is fixed this time:)

#8 - 2006-06-28 03:11 AM - Redmine Admin

Yep! Now it looks to be fixed. Thank you very much.

#9 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

example.zip 150 KB 2006-06-25 anonymous -
